package com.reptileclient.jlifeapp.util;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

public class BaseDataUtil {

	public final static Map<String, String> service = new HashMap<String, String>();

	static {
		service.put("M1", "M1周期卡 到家服务 鲸致生活 4次日常保洁,周期保洁 上门服务 入门体验套餐 鲸致生活");
		service.put("M3", "M3周期卡 到家服务 鲸致生活 12次日常保洁,周期保洁 上门服务 全面专享套餐 鲸致生活");
		service.put("M6", "M6周期卡 到家服务 鲸致生活 24次日常保洁,周期保洁 上门服务 安心无忧套餐 鲸致生活");

		service.put("宝贝专享", "宝贝专享");
		service.put("宠物专享", "宠物专享,养宠专享");

		service.put("除尘除螨", "除螨,除尘除螨,除尘除螨 到家服务 鲸致生活");
		service.put("厨房清洁", "厨房清洁,厨房清洁 上门服务 电器专业拆洗保养除油祛味 鲸致生活,厨房,厨房清洁 到家服务 鲸致生活");

		service.put("精细擦窗", "精细擦窗,精细擦窗 到家服务 鲸致生活,精细擦窗 上门服务 单人服务极速透亮 鲸致生活,精细擦窗 上门服务 双倍服务加倍洁净 鲸致生活,玻璃");
		service.put("大扫除基准包", "开年大扫除基准包 到家服务 鲸致生活");
		service.put("空调清洁", "空调清洁,空调,空调清洁 到家服务 鲸致生活");

		service.put("日常保洁", "日常保洁,日常保洁 到家服务 鲸致生活,日常保洁 定制个性需求擦亮空间 鲸致生活,日常保洁 上门服务 定制个性需求擦亮空间 鲸致生活,日常保洁 体验单 鲸致生活");

		service.put("浴室清洁", "浴室清洁,浴室,浴室清洁 到家服务 鲸致生活");
	}

	public static String getService(String name) {
		if (name == null || name == "") {
			return "";
		}

		return service.get(name);
	}

	public static List<String> getService(String[] name) {
		if (null == name) {
			return null;
		}
		List<String> list = new ArrayList<>();
		for (String s : name) {
			String[] split = service.get(s).split(",");
			List<String> asList = java.util.Arrays.asList(split);
			list.addAll(asList);
		}

		return list;
	}

	public static String[] getServicearr(String[] name) {
		if (null == name) {
			return null;
		}

		List<String> list = new ArrayList<>();
		for (String s : name) {
			if(null!=service.get(s)) {
				String[] split = service.get(s).split(",");
				List<String> asList = java.util.Arrays.asList(split);
				list.addAll(asList);
			}
		}

		String[] strings = new String[list.size()];
		list.toArray(strings);

		return strings;
	}

	public static void main(String[] args) {
		System.out.println(service.get("M1"));

		List<String> list = new ArrayList<>();
		for (Entry<String, String> m : service.entrySet()) {

			String[] split = m.getValue().split(",");
			List<String> asList = java.util.Arrays.asList(split);
			list.addAll(asList);
		}
		
		for(String s:list) {
			System.out.print("'"+s+"',");
		}

	}
}
